Description

Hi,

We're using Redmine in a corporate environment for everything from software development tracking to collaboration on sales leads. 

It's been superb!

One feature I'd love to see would be for a user to be able to set other user's Email Notification settings (i.e., those which are seen on

the My Account page).

The problem is, 95% of our users have no desire to manage their own preferences for what projects they receive notifications for. 

Quite often, this is fine, since the standard behaviour of sending notifications for issues which the user is actively involved in is fine. 

However, when starting a new project, there's no way to ensure that the proper people are 'signed-up' to the project as a whole.

Although it's possible to set watchers when creating an issue, this doesn't help for things such as Wiki page update notifications.

Ideally, there'd be a permission available for users/groups along the lines of 'Change Other User's Notification Preferences', which

would allow this ability.

Would this have to be an addition to the Redmine core, or could this be implemented as a plugin?

Thanks,

Chris

Related issues:

Related to Redmine - Feature #2836: Account's initial setting management inte... Closed 2009-02-25

Is duplicate of Redmine - Feature #3503: Administrator Be Able To Modify Emai... Closed 2009-06-16

History

#1 - 2009-12-29 19:26 - Nikolay Kotlyarov

+1

#2 - 2015-10-04 08:30 - Go MAEDA

- Is duplicate of Feature #3503: Administrator Be Able To Modify Email settings Of Users added

#3 - 2015-10-04 08:31 - Go MAEDA

- Category changed from Administration to Accounts / authentication

- Status changed from New to Closed

Implemented by #3503 (Redmine 1.1.0).

#4 - 2015-10-04 11:20 - Go MAEDA

- Resolution set to Duplicate
